Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

recordType
string<string>
required

'apps', 'elements', 'tasks', or 'transactions'

alias
string<string>
required

The app's namespace or its UUID

id
string<string>
required

The record ID

attachmentId
string<string>
required

The ID of the attachment

Response

Ok

contentUrl
string

URL path to download the attachment content

viewState
string

The visibility state of the attachment (e.g., PRIVATE, PUBLIC)

state
string

The processing state of the attachment (e.g., VALID, PROCESSING, ERROR)

mediaType
string

The MIME type of the attachment

id
string

The attachment ID

name
string

The attachment filename

createdAt
string<date-time>

When the attachment was created

description
string

The attachment description

size
integer<int32>

The file size in bytes